<?php
require_once '../inc/common.inc.php';

if(empty($menuid)){echo "<script>window.location.href='$kuHttpPath';</script>";exit;}

$moduleId = 8;
$moduleName = $arrAllModule[$moduleId];


$menuid = intval($menuid);
$strSql = "select * from {$configTableHead}menu where id='{$menuid}' and lang='{$kuWebsiteCurrLanguage}';";
$result = $dbInstance->query($strSql);
$row = $dbInstance->fetchArray($result);
$kuBlockFaqTitle = $row ['menutitle']; 
$kuWebsitePageTitle = $kuBlockFaqTitle.' - '.$kuWebsiteTitleKeyWords.' - '.$kuWebsiteTitle.$kuPostfix;
$kuWebsiteKeyWords = $row['menukeywords'] ? $row['menukeywords'] : $kuWebsiteKeyWords;
$kuWebsiteDescription = $row['menudesc'] ? $row['menudesc'] : $kuWebsiteDescription;


$arrMenuInfo = getMenuIdInfo($menuid);

$topMenuId = '';
if(count($kuMenuList[$arrMenuInfo[type3]]))$topMenuId = $arrMenuInfo[type3];
else if(count($kuMenuList[$arrMenuInfo[type2]]))$topMenuId = $arrMenuInfo[type2];
else if(count($kuMenuList[$arrMenuInfo[type1]]))$topMenuId = $arrMenuInfo[type1];


$kuPositionId = $menuid;


$strSqlTotal = '';
if(1 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}faq where lang='{$kuWebsiteCurrLanguage}' and type1='{$menuid}' and showsub=1;";
else if(2 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}faq where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1;";
else if(3 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}faq where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSqlTotal, $kuHttpPath;


$result = $dbInstance->query($strSqlTotal);
$row = $dbInstance->fetchArray($result);
$totalNumber = $row ['amount']; //总记录数
!empty($page) ? ($page = intval($page)) : $page = 1; //当前页
$actionDisplayNumber = $frontendPagingActionsDisplayNumber; //活动显示页数 
$type = $frontendPagingType; //分页样式0-5 
$isAlwaysShowFirstOrLast = $frontendPagingIsAlwaysShowFirstOrLast; //是否绍终显示第一页和最后一页
$instancePage = new Pages($totalNumber, $page, $kuWebsitePagingNumberfaq, $actionDisplayNumber, $type, $isAlwaysShowFirstOrLast, $kuCaptionPagingFirstPage, $kuCaptionPagingPreviousPage, $kuCaptionPagingNextPage, $kuCaptionPagingLastPage);
$kuPageLinks = $instancePage->disp('page', $kuHttpPath."faq/index.php?lang={$kuWebsiteCurrLanguage}&menuid={$menuid}"); 


$startNum = ($page - 1) * $kuWebsitePagingNumberfaq;
$strOrder = getSqlOrderByOfSortType($kuWebsitePagingSortTypefaq);

if(1 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}faq where lang='{$kuWebsiteCurrLanguage}' and type1='{$menuid}' and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberfaq;";
else if(2 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}faq where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberfaq;";
else if(3 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}faq where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberfaq;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSql;


$kuStrFaqList = '';
$kuArrFaqList = array();
$result = $dbInstance->query($strSql);
while($faqRow = $dbInstance->fetchArray($result))
{
  $faqRow['faqurl'] = $kuHttpPath."faq/faq.php?lang={$kuWebsiteCurrLanguage}&itemid={$faqRow['id']}";
  $faqRow['updatetime'] = substr($faqRow['updatetime'], 0, 10);
  $faqRow['addtime'] = substr($faqRow['addtime'], 0, 10);
  $kuArrFaqList[] = $faqRow;
  $kuFaqTitle = CommTool::cutstrutf8($faqRow['faqtitle'], 70);
  $kuStrFaqList .= "<li><span class=\"right\">{$faqRow['updatetime']}</span><a href=\"{$faqRow['faqurl']}\" title=\"{$faqRow['faqtitle']}\">{$kuFaqTitle}</a></li>";
}



$topNavId = $arrMenuInfo[type1];
$kuStrBlockSideNav = $kuSideNav[$topNavId];


$kuStrBlockContact = $kuBlock[2];

include_once KUWEBS_ABSOLUTE_PATH."inc/headermenu.php"; 
include_once KUWEBS_ABSOLUTE_PATH."inc/footer.php";
include_once template('faqlist');


?>